FlightAware Discussions

New Raspberry Pi available - Pi 4

So far DUMP-978 is now running. Going after the graphs

1 Like

Are you looking for a link, or what’s the issue?

https://github.com/wiedehopf/graphs1090#graphs1090

1 Like

already installed to include TAR-1090

There is a problem with Dump 978 UAT side. Here is a screenshot. If I can recall I have seen this before.

try restarting it. Sometimes that works.

1 Like

possibly my Orange prostick gave up.

sudo journalctl --no-pager -u dump978-fa
cat /etc/default/dump978-fa
1 Like

Looks like I have something set wrong. Tested the pro stick on my computer with HDSDR and it works fine.

I think the package of dump978-fa available from flightawre isn’t working on buster yet.
But i think the dev branch on github works.

If you are using two rtl-sdr dongles you also have to serialize the dongles.
You can use this guide:
Dump978 Add-On Installation Procedures?

Note that you will need the dev branch of dump978
Instead of
git checkout v3.7.1
you need to
git checkout dev

Might still not work.

As you already have dump1090-fa working, no need to install that or download the git for it.
But both dongles need the serial as described there.

You might also need to use rpi-update if you haven’t done so already.
(newer kernel version so rtl-sdr works properly)

1 Like

Yes, my dongles are serialized properly. ri-update show most current. git checkout v3.7.1 fatal. not a repository same for get checkout dev

RPi 2 + Buster - Piaware OK, skyview978 OK, dump978-fa fail

1 Like

Read again carefully what i wrote:

Instead of
git checkout v3.7.1
you need to
git checkout dev

This is in reference to the commands in the link i gave above that, where compilation of dump978-fa is described.

1 Like

I am actually installing it as per the instructions above. Maybe I need to pay closer attention

git clone https://github.com/flightaware/dump978.git
cd dump978

Then one of those two commands didn’t work.

Not dev, rather origin/dev

git checkout origin/dev 

Note: checking out 'origin/dev'
. .... .... .... 
HEAD is now at 1673c22 Merge branch 'stratux-dongle' into dev 

LATER ADDITION:

If you use git checkout dev, you setup a new branch ‘dev’

git checkout dev
Branch 'dev' set up to track remote branch 'dev' from 'origin'.
Switched to a new branch 'dev'
1 Like

but its working?

1 Like

I am confused now but I guess when I installed by instructions from above its all fine.!

I went back and re-imaged Buster. Got all the updates and upgrades. Unhooked my pro-stick orange. Installed as per these instructions https://flightaware.com/adsb/piaware/install steps 1 2 and 3. Activated my share key sudo piaware-config feeder-id (your key goes here) and made sure I have output on my 1090 map. Then I plugged in my FA pros-stick orange used for UAT I went back and installed dump978-fa and skyview978 ver 3.7.1( Dump978 Add-On Installation Procedures?) and now all works perfectly. My dongles were previously serialized. Added TAR1090 maps and graphs.

Actually took notes on all that everyone here who posted and guided me through.

That method was posted when ver 3.7.1 was beta, and that is why it had git checkout v3.7.1

Now as main branch of dump978-fa fails to built on Buster and dev branch builds successfully, command git checkout origin/dev is to be used.

git checkout origin/dev 

Note: checking out 'origin/dev'
. .... .... .... 
HEAD is now at 1673c22 Merge branch 'stratux-dongle' into dev 

This actually builds ver 3.7.2 of dump978-fa

.

1 Like

The latest regular update (sudo apt update && sudo apt full-upgrade) upgrades the OS to the code below
Linux tardis1 4.19.66-v7l+ #1253 SMP Thu Aug 15 12:02:08 BST 2019 armv7l GNU/Linux

Does this work well with the rtlsdr code?